##### basic_socket_acceptor::open (1 of 2 overloads)

Open the acceptor using the specified protocol.

    void open(
        const protocol_type & protocol = protocol_type());

This function opens the socket acceptor so that it will use the specified protocol.

###### Parameters

protocol

  An object specifying which protocol is to be used.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Example

    asio::ip::tcp::acceptor acceptor(my_context);
    acceptor.open(asio::ip::tcp::v4());